Bug 1068644 - Review Request: python-croniter - Iteration for datetime object with cron like format
Summary: Review Request: python-croniter - Iteration for datetime object with cron lik...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-21 15:20 UTC by Pádraig Brady
Modified: 2014-03-21 22:33 UTC (History)
3 users (show)

Fixed In Version: python-croniter-0.3.4-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-21 09:28:38 UTC
Type: ---
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Pádraig Brady 2014-02-21 15:20:53 UTC
Spec URL: http://fedorapeople.org/~pbrady/python-croniter.spec
SRPM URL: http://fedorapeople.org/~pbrady/python-croniter-0.3.4-1.fc20.src.rpm
Description: Iteration for datetime object with cron like format
Fedora Account System Username: pbrady

Comment 1 Christopher Meng 2014-02-24 01:17:05 UTC
1. Do you want to support EPEL6?

If so you can add these:

%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

2. %{__python} --> %{__python2}

3. %{python_sitelib} --> %{python2_sitelib}

4. Add a dot at the end of the %description.

5. This package supports python3.

Comment 2 Pádraig Brady 2014-02-24 12:39:51 UTC
Spec URL: http://fedorapeople.org/~pbrady/python-croniter.spec
SRPM URL: http://fedorapeople.org/~pbrady/python-croniter-0.3.4-2.fc20.src.rpm
Description: Iteration for datetime object with cron like format
Fedora Account System Username: pbrady

Comment 3 Christopher Meng 2014-02-25 14:43:55 UTC
Next time please read stuffs for EPEL6 %__python2xxx:

https://fedoraproject.org/wiki/Packaging:Python#Macros

rpmlint clean
fedora-review passed
manually review OK
license review passed
----------------------
PACKAGE APPROVED.

Comment 4 Pádraig Brady 2014-02-25 16:25:04 UTC
New Package SCM Request
=======================
Package Name: python-croniter
Short Description: Iteration for datetime object with cron like format
Owners: pbrady
Branches: f19 f20 el6 epel7
InitialCC:

Comment 5 Gwyn Ciesla 2014-02-25 18:53:26 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2014-02-27 16:07:16 UTC
python-croniter-0.3.4-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-croniter-0.3.4-2.fc19

Comment 7 Fedora Update System 2014-02-27 16:08:43 UTC
python-croniter-0.3.4-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-croniter-0.3.4-2.fc20

Comment 8 Fedora Update System 2014-02-27 16:09:45 UTC
python-croniter-0.3.4-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-croniter-0.3.4-2.el6

Comment 9 Fedora Update System 2014-02-28 18:39:00 UTC
python-croniter-0.3.4-2.fc20 has been pushed to the Fedora 20 testing repository.

Comment 10 Fedora Update System 2014-03-21 09:28:38 UTC
python-croniter-0.3.4-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 11 Fedora Update System 2014-03-21 09:30:35 UTC
python-croniter-0.3.4-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 12 Fedora Update System 2014-03-21 22:33:01 UTC
python-croniter-0.3.4-2.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.